0 votos
Estimados buenos dias, estoy iniciandome en este mundo de la progamacion en android y actualmente estoy tratando de ejecutar un pequeño codigo en eclipse (el famoso Hola Mundo), pero me arroja el siguiente error….”Android library cannot be launched”. Aclaro que tengo activado la opcion “Is Library” en el menu project -> properties-> android. La libreria que ahi figura como Reference es “appcompat_v7″. Ademas en Java Build Path, tengo disponible la libreria “android-support-v4.jar”. Si alguien pudiera darme una mano se lo agradeceria. Gracias.
preguntado por Ruben Garcia Dic 22, 2014 en Android

1 Respuesta

0 votos
Mejor respuesta
Hola Rubén,

desmarca la casilla “Is Library” de tu proyecto.
Al dejarla marcada estás diciendo a Android que ese proyecto es una biblioteca, por lo que es una dependencia y por tanto requiere que un proyecto real (que no tenga marcada la casilla “Is Libaray”) sea la que la tenga de biblioteca y la ejecute. Necesitas un proyecto real para ejecutar, por lo que con la casilla de “Is Library” sin marcar.
respondido por Jarroba [Admin] Dic 22, 2014